Bug 242652 - Revelation: Error when selecting entry
Revelation: Error when selecting entry
Status: CLOSED NOTABUG
Product: Fedora EPEL
Classification: Fedora
Component: revelation (Show other bugs)
el5
All Linux
low Severity high
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
:
Depends On: 237077
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 06:04 EDT by Heiko Adams
Modified: 2008-06-27 13:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-27 13:41:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko Adams 2007-06-05 06:04:14 EDT
Description of problem:
When selecting an Entry in Revelation the following error message appears:

Traceback (most recent call last):
  File "/usr/bin/revelation", line 406, in <lambda>
    self.tree.selection.connect("changed", lambda w:
self.__state_entry(self.tree.get_selected()))
  File "/usr/bin/revelation", line 445, in __state_entry
    e = self.entrystore.get_entry(iter)
  File "/usr/lib/python2.4/site-packages/revelation/data.py", line 400, in get_entry
    e = self.get_value(iter, COLUMN_ENTRY)
  File "/usr/lib/python2.4/warnings.py", line 61, in warn
    warn_explicit(message, category, filename, lineno, module, registry)
  File "/usr/lib/python2.4/warnings.py", line 82, in warn_explicit
    for item in filters:
TypeError: unknown type (null)
When selecting an entry after this message appears the program crashes

Version-Release number of selected component (if applicable):
revelation-0.4.11-2.el5

How reproducible:
allways
Comment 2 Heiko Adams 2007-06-13 15:27:15 EDT
So the only solution at the moment is to sit around and wait until red hat comes
down to fix this bug or am I wrong?
Comment 3 Thorsten Leemhuis 2007-09-01 07:26:02 EDT
(In reply to comment #2)
> So the only solution at the moment is to sit around and wait until red hat comes
> down to fix this bug or am I wrong?

Yes. (And sorry for the late reply)

From Bug 237077, comment #4: "proposing this for 5.2."
Comment 4 Thorsten Leemhuis 2008-06-27 13:41:49 EDT
Some cleanups

(In reply to comment #3)
> > So the only solution at the moment is to sit around and wait until red hat 
> > comes down to fix this bug or am I wrong?
> Yes. (And sorry for the late reply)
> From Bug 237077, comment #4: "proposing this for 5.2."

Bug 237077 got closed as ERRATA, so this should be fixed as well.

Note You need to log in before you can comment on or make changes to this bug.